| nRF5 SDK v12.0.0 |

Choose documentation: | nRF5 SDK | S130 SoftDevice API | S132 SoftDevice API | S212 SoftDevice API | S332 SoftDevice API

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures | Macros | Enumerations | Functions
Bicycle Power profile page 1
Bicycle Power profile pages

## Data Structures
struct | ant_bpwr_page1_data_t
| Data structure for Bicycle Power data page 1. More...

## Macros
#define | DEFAULT_ANT_BPWR_PAGE1()
| Initialize page 1. More...
#define | ANT_BPWR_GENERAL_CALIB_REQUEST()
| Initialize page 1 with the general request. More...

## Enumerations
enum | ant_bpwr_calib_id_t { ANT_BPWR_CALIB_ID_NONE = 0x00, ANT_BPWR_CALIB_ID_MANUAL = 0xAA, ANT_BPWR_CALIB_ID_AUTO = 0xAB, ANT_BPWR_CALIB_ID_MANUAL_SUCCESS = 0xAC, ANT_BPWR_CALIB_ID_FAILED = 0xAF, ANT_BPWR_CALIB_ID_CTF = 0x10, ANT_BPWR_CALIB_ID_AUTO_SUPPORT = 0x12, ANT_BPWR_CALIB_ID_CUSTOM_REQ = 0xBA, ANT_BPWR_CALIB_ID_CUSTOM_REQ_SUCCESS = 0xBB, ANT_BPWR_CALIB_ID_CUSTOM_UPDATE = 0xBC, ANT_BPWR_CALIB_ID_CUSTOM_UPDATE_SUCCESS = 0xBD }
| BPWR Calibration ID. More...
enum | ant_bpwr_auto_zero_status_t { ANT_BPWR_AUTO_ZERO_NOT_SUPPORTED = 0xFF, ANT_BPWR_AUTO_ZERO_OFF = 0x00, ANT_BPWR_AUTO_ZERO_ON = 0x01 }
| BPWR Calibration Auto Zero Status. More...

## Functions
void | ant_bpwr_page_1_encode (uint8_t *p_page_buffer, ant_bpwr_page1_data_t const *p_page_data)
| Function for encoding page 1. More...
void | ant_bpwr_page_1_decode (uint8_t const *p_page_buffer, ant_bpwr_page1_data_t *p_page_data)
| Function for decoding page 1. More...

## Detailed Description

## Macro Definition Documentation

#define ANT_BPWR_GENERAL_CALIB_REQUEST | ( |  | ) |

Value:
(ant_bpwr_page1_data_t) \
{ \
.calibration_id = ANT_BPWR_CALIB_ID_MANUAL, \
}

Initialize page 1 with the general request.

#define DEFAULT_ANT_BPWR_PAGE1 | ( |  | ) |

Value:
(ant_bpwr_page1_data_t) \
{ \
.calibration_id = ANT_BPWR_CALIB_ID_NONE, \
.auto_zero_status = ANT_BPWR_AUTO_ZERO_NOT_SUPPORTED, \
.data.general_calib = 0x00, \
}

Initialize page 1.

## Enumeration Type Documentation

enum ant_bpwr_auto_zero_status_t

BPWR Calibration Auto Zero Status.

Enumerator
ANT_BPWR_AUTO_ZERO_NOT_SUPPORTED | Auto Zero Not Supported.
ANT_BPWR_AUTO_ZERO_OFF | Auto Zero OFF.
ANT_BPWR_AUTO_ZERO_ON | Auto Zero ON.

enum ant_bpwr_calib_id_t

BPWR Calibration ID.

Enumerator
ANT_BPWR_CALIB_ID_MANUAL | Calibration Request: Manual Zero.
ANT_BPWR_CALIB_ID_AUTO | Calibration Request: Auto Zero Configuration.
ANT_BPWR_CALIB_ID_MANUAL_SUCCESS | Calibration Response: Manual Zero Successful.
ANT_BPWR_CALIB_ID_FAILED | Calibration Response: Failed.
ANT_BPWR_CALIB_ID_CTF | Crank Torque Frequency (CTF) Power sensor Defined Message.
ANT_BPWR_CALIB_ID_AUTO_SUPPORT | Auto Zero Support.
ANT_BPWR_CALIB_ID_CUSTOM_REQ | Custom Calibration Parameter Request.
ANT_BPWR_CALIB_ID_CUSTOM_REQ_SUCCESS | Custom Calibration Parameter Response.
ANT_BPWR_CALIB_ID_CUSTOM_UPDATE | Custom Calibration Parameter Update.
ANT_BPWR_CALIB_ID_CUSTOM_UPDATE_SUCCESS | Custom Calibration Parameter Update Response.

## Function Documentation

void ant_bpwr_page_1_decode | ( | uint8_t const * | p_page_buffer,
|  | ant_bpwr_page1_data_t * | p_page_data
| ) |  |

Function for decoding page 1.

Parameters

  [in] | p_page_buffer | Pointer to the data buffer.
  [out] | p_page_data | Pointer to the page data.

void ant_bpwr_page_1_encode | ( | uint8_t * | p_page_buffer,
|  | ant_bpwr_page1_data_t const * | p_page_data
| ) |  |

Function for encoding page 1.

Parameters

  [in] | p_page_data | Pointer to the page data.
  [out] | p_page_buffer | Pointer to the data buffer.